unit flashengine;

interface

uses ActiveX;

(*

This is a flashengine.dll API calls:

function LoadMovie(fileName: PChar; const Width, Height: integer): cardinal; stdcall;
- load player and movie (swf or flv)

procedure PlayMovie(const APlayer: cardinal); stdcall;
- play movie after Stop calling

procedure StopMovie(const APlayer: cardinal); stdcall;
- stop movie

procedure GrabCurrentFrame(const APlayer: cardinal; var Bits: Pointer); stdcall;
- grab current flash frame and return a pointer to the buffer. The buffer must keeped after using.

procedure FreeMovie(var APlayer: cardinal); stdcall;
- free player and dispose all used memory 

*)


function LoadMovie(fileName: PChar; const Width, Height: integer): cardinal; stdcall;
procedure PlayMovie(const APlayer: cardinal); stdcall;
procedure StopMovie(const APlayer: cardinal); stdcall;
procedure GrabCurrentFrame(const APlayer: cardinal; var Bits: Pointer); stdcall;
procedure FreeMovie(var APlayer: cardinal); stdcall;

implementation

function LoadMovie(fileName: PChar; const Width, Height: integer): cardinal; stdcall; external 'flashengine.dll';
procedure PlayMovie(const APlayer: cardinal); stdcall; external 'flashengine.dll';
procedure StopMovie(const APlayer: cardinal); stdcall; external 'flashengine.dll';
procedure GrabCurrentFrame(const APlayer: cardinal; var Bits: Pointer); stdcall; external 'flashengine.dll';
procedure FreeMovie(var APlayer: cardinal); stdcall; external 'flashengine.dll';

initialization
  CoInitialize(nil);
end.
